SparkFun ZX Distance and Gesture Sensor Arduino Library
=======================================================

![ZX Distance and Gesture Sensor](https://cdn.sparkfun.com//assets/parts/1/0/2/7/9/13162-01a.jpg)

[*SparkFun ZX Distance and Gesture Sensor (SEN-13162)*](https://www.sparkfun.com/products/13162)

An Arduino library for the ZX Distance and Gesture Sensor - an infrared sensor capable of determining an object's distance from the sensor and its relative position between the IR LEDs

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE.
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE.
* **library.properties** - General library properties for the Arduino package manager.

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/ZX_Gesture_Sensor_SMD)** - Main repository (including hardware files)
* **[ZX Distance and Gesture Sensor SMD Hookup Guide](https://learn.sparkfun.com/tutorials/zx-distance-and-gesture-sensor-smd-hookup-guide)** - Tutorial for connecting and testing the ZX Sensor

Products that use this Library
---------------------------------

* [ZX Distance and Gesture Sensor](https://www.sparkfun.com/products/12780)- an infrared sensor capable of determining an object's distance from the sensor and its relative position between the IR LEDs

Known Bugs
----------

* The UART gesture example does not work. A future update of the ZX's firmware is required before this feature will work. The example is kept to show how UART gestures should work in the future.

Product Versions
----------------
* [SEN-13162](https://www.sparkfun.com/products/13162) - ZX Distance and Gesture Sensor
 SMD
* _[SEN-12780 (RETIRED)](https://www.sparkfun.com/products/retired/12780) - ZX Distance and Gesture Sensor_

Version History
---------------

* [V_1.0.2](https://github.com/sparkfun/SparkFun_ZX_Distance_and_Gesture_Sensor_Arduino_Library/tree/V_1.0.2) - Fixed library name
* [V_1.0.1](https://github.com/sparkfun/SparkFun_ZX_Distance_and_Gesture_Sensor_Arduino_Library/tree/V_1.0.1) - Fixed typo in library properties: "Sensor" to "Sensors"
* [V_1.0.0](https://github.com/sparkfun/SparkFun_ZX_Distance_and_Gesture_Sensor_Arduino_Library/tree/V_1.0.0) - Initial release

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.

_This is a collaboration with [XYZ Interactive](http://www.gesturesense.com/xyz)_
